package com.ynet.life.sujrb.util;

import java.io.IOException;
import java.security.GeneralSecurityException;
import java.security.MessageDigest;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.Map;

/* loaded from: com_ynet_life_sujrb_util.jar:com/ynet/life/sujrb/util/SignUtils.class */
public class SignUtils {
    public static String signTopRequest(Map<String, String> paramValues, String secret) throws IOException {
        StringBuilder sb = new StringBuilder();
        List<String> paramNames = new ArrayList<>(paramValues.size());
        paramNames.addAll(paramValues.keySet());
        Collections.sort(paramNames);
        sb.append(secret);
        for (String paramName : paramNames) {
            sb.append(paramName).append(paramValues.get(paramName));
        }
        sb.append(secret);
        return byte2hex(encryptMD5(sb.toString()));
    }

    private static byte[] encryptMD5(String data) throws IOException {
        try {
            byte[] bytes = MessageDigest.getInstance("MD5").digest(data.getBytes("UTF-8"));
            return bytes;
        } catch (GeneralSecurityException gse) {
            throw new IOException(gse);
        }
    }

    private static String byte2hex(byte[] bytes) {
        StringBuilder sign = new StringBuilder();
        for (byte b : bytes) {
            String hex = Integer.toHexString(b & 255);
            if (hex.length() == 1) {
                sign.append("0");
            }
            sign.append(hex.toUpperCase());
        }
        return sign.toString();
    }
}
